---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/grids/grids__add_rows.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Add Rows

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/grids/{idx}/rows
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;uuid4&gt;

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "revision": "example",
  "position": 0,
  "after_row_id": "example",
  "rows": [
    {}
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_rows_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Type**: object[]" %}

#|
||

_[additional]_{.json-schema-reset .json-schema-additional-property}
{.table-cell}|
{% cut "**Any of 6 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: integer

- **Type**: number

- **Type**: boolean

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **Type**: string[]

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    "example"
  ]
  ```

  {% endcut %}

- **Type**: [UserIdentityExtended](#entity-UserIdentityExtended)[]

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    {
      "uid": "example",
      "cloud_uid": "example",
      "username": "example"
    }
  ]
  ```

  {% endcut %}

{% endcut %}

_Example:_{.json-schema-reset .json-schema-example} `0`
{.table-cell}
||
|#{.json-schema-properties}

{% endcut %}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {}
]
```

{% endcut %}
{.table-cell}
||
||

_after_row_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_position_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### UserIdentityExtended {#entity-UserIdentityExtended}

Extended user identifier with additional fields

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in Yandex Cloud

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Unique user identifier (UID) in Yandex

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example",
  "username": "example"
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "revision": "example",
  "results": [
    {
      "id": "example",
      "row": [
        0
      ],
      "pinned": true,
      "color": "blue"
    }
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_revision_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_results_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [GridRowSchema](#entity-GridRowSchema)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "row": [
      0
    ],
    "pinned": true,
    "color": "blue"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### TicketSchema {#entity-TicketSchema}

Ticket schema from Yandex Tracker

#|
|| **Name** | **Description** ||
||

_key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Ticket key (for example, `WIKI-123`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_resolved_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The ticket is resolved (closed)
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "key": "example",
  "resolved": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserIdentity {#entity-UserIdentity}

User identifier

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in the cloud (for the external instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in Yandex (for the internal instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserSchema {#entity-UserSchema}

Information about the user

#|
|| **Name** | **Description** ||
||

_affiliation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User affiliation (for example, `yandex`, `external`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User display name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Internal user identifier
{.table-cell}
||
||

_is_dismissed_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The user has been dismissed
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UnresolvedUserSchema {#entity-UnresolvedUserSchema}

Schema for a user that was not found in the system

#|
|| **Name** | **Description** ||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "username": "example",
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### TrackerEnumField {#entity-TrackerEnumField}

Enumeration field from Yandex Tracker

#|
|| **Name** | **Description** ||
||

_display_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Displayed field value

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Field value key

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "display": "example",
  "key": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### BGColor {#entity-BGColor}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

</div>

<div class="openapi-entity">

### GridRowSchema {#entity-GridRowSchema}

Dynamic table row schema

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique row identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_row_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Type**: array" %}

{% cut "**Any of 10 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: integer

- **Type**: number

- **Type**: boolean

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **TicketSchema**

  **Type**: [TicketSchema](#entity-TicketSchema)

  Ticket schema from Yandex Tracker

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "key": "example",
    "resolved": true
  }
  ```

  {% endcut %}

- **Type**: string[]

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    "example"
  ]
  ```

  {% endcut %}

- {% cut "**Type**: array" %}

  {% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

  - **UserSchema**

    **Type**: [UserSchema](#entity-UserSchema)

    Information about the user

    {% cut "**Example**" %}{.json-schema-example}

    ```json translate=no
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
    ```

    {% endcut %}

  - **UnresolvedUserSchema**

    **Type**: [UnresolvedUserSchema](#entity-UnresolvedUserSchema)

    Schema for a user that was not found in the system

    {% cut "**Example**" %}{.json-schema-example}

    ```json translate=no
    {
      "username": "example",
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      }
    }
    ```

    {% endcut %}

  {% endcut %}

  {% endcut %}

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
  ]
  ```

  {% endcut %}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  Information about the user

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

- **UnresolvedUserSchema**

  **Type**: [UnresolvedUserSchema](#entity-UnresolvedUserSchema)

  Schema for a user that was not found in the system

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "username": "example",
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    }
  }
  ```

  {% endcut %}

- **TrackerEnumField**

  **Type**: [TrackerEnumField](#entity-TrackerEnumField)

  Enumeration field from Yandex Tracker

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "display": "example",
    "key": "example"
  }
  ```

  {% endcut %}

{% endcut %}

{% endcut %}

Array of the row's cell values (the order matches the column order)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  0
]
```

{% endcut %}
{.table-cell}
||
||

_color_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **BGColor**

  **Type**: [BGColor](#entity-BGColor)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

{% endcut %}

Row background color

_Example:_{.json-schema-reset .json-schema-example} `blue`
{.table-cell}
||
||

_pinned_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

The row is pinned
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "row": [
    0
  ],
  "pinned": true,
  "color": "blue"
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.